Std TextDocument/pl: Difference between revisions

From FreeCAD Documentation
(Created page with "{{GuiCommand/pl |Name=Std TextDocument |Name/pl=Std: Dokument tekstowy |MenuLocation=Przybory → Dodaj dokument tekstowy |Workbenches=wszystkie |Version=0.19 |SeeAlso=Kształt z tekstu, Adnotacja wieloliniowa }}")
(Created page with "==Opis==")
Line 19: Line 19:
}}
}}


==Description==
<span id="Description"></span>
==Opis==


The '''Std TextDocument''' command creates an object capable of holding arbitrary text. This element can be used to write general information or documentation about the model.
The '''Std TextDocument''' command creates an object capable of holding arbitrary text. This element can be used to write general information or documentation about the model.

Revision as of 18:12, 6 January 2023

Std: Dokument tekstowy

Lokalizacja w menu
Przybory → Dodaj dokument tekstowy
Środowisko pracy
wszystkie
Domyślny skrót
brak
Wprowadzono w wersji
0.19
Zobacz także
Kształt z tekstu, Adnotacja wieloliniowa

Opis

The Std TextDocument command creates an object capable of holding arbitrary text. This element can be used to write general information or documentation about the model.

Usage

  1. Select the Tools → Add text document option from the menu.
  2. Double-click the newly created object in the tree view to open a tab in which to write text.
  3. Add text.
  4. Close the tab and save the file when asked.

Properties

View

Editor

  • WIDOKFont Name (Font): a font name, for example, Ubuntu Mono.
  • WIDOKFont Size (Float): a font size in points, for example, 11.
  • WIDOKRead Only (Bool): it defaults to false. If set to true the text cannot be edited.
  • WIDOKSyntax Highlighter (Enumeration): it defaults to None. If set to Python, the text will be highlighted like the Python console.

Scripting

See also: FreeCAD Scripting Basics, and scripted objects.

See Part Feature for the general information on adding objects to a document.

An App::TextDocument object is created with the addObject() method of the document. Once a TextDocument exists, its textual information is stored in its Text attribute. This attribute can be used in other objects, for example, as the string in a Draft ShapeString.

import FreeCAD as App
import Draft

doc = App.newDocument()
obj = App.ActiveDocument.addObject("App::TextDocument", "Text_document")
obj.Text = "textual information"
App.ActiveDocument.recompute()

obj2 = Draft.makeShapeString(obj.Text, "/usr/share/fonts/truetype/dejavu/DejaVuSans.ttf", 10)
App.ActiveDocument.recompute()